#include <stdio.h>

int main() {
    int arr[3], max=0, sum=0;
    for(int i=0; i<3; i++) {
        scanf("%d",&arr[i]);
        if(max<arr[i]) {
            max = arr[i];
        }
        sum += arr[i];
    }

    sum -= max;

    if(sum>max) printf("%d\n",sum+max);
    else printf("%d\n",2 * sum - 1);

    return 0;
}